Skip to content

Get the reward tables​

GET
/data/api/v1/contribution-management/rewards

Returns the tokens paid per identifier for an upload and for a flag, by company type and fraud type, and how the reward of an upload made for another company is split.

Authorizations​

bearerAuth

The accessToken of a sign-in or refresh answer. Valid for 5 minutes.

Type
HTTP (bearer)

Responses​

The reward tables and the split ratio.

application/json
JSON
{
  
"status": {
  
  
"code": 0,
  
  
"name": "Ok"
  
},
  
"data": {
  
  
"uploadRewardsTable": {
  
  
  
"LARGE_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"MEDIUM_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"SMALL_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"VENDOR": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
}
  
  
},
  
  
"flaggingRewardsTable": {
  
  
  
"LARGE_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"MEDIUM_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"SMALL_TELCO": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
},
  
  
  
"VENDOR": {
  
  
  
  
"Wangiri": 10,
  
  
  
  
"IRSF": 10,
  
  
  
  
"StolenDevice": 10,
  
  
  
  
"IPFraud": 10,
  
  
  
  
"SMSA2P": 10,
  
  
  
  
"Flashcall": 10,
  
  
  
  
"Scam": 10
  
  
  
}
  
  
},
  
  
"uploaderRatio": 10,
  
  
"sourceRatio": 90
  
}
}

Samples​

Powered by VitePress OpenAPI